#ifndef FITNESS_H
#define FITNESS_H 

#include<cmath>
#include <vector.h>

using namespace std;

// ****************************************************************

double objective_function(const vector<double>& y)
{ size_t y_dim = y.size();
  double hsum = 0;
  for( size_t i = 0; i < y_dim; i++ ) hsum = hsum + y[i]*y[i]; 
  return sqrt(hsum);
}

// ****************************************************************
// ****************************************************************

#endif
